Template:Infobox requirements row

From Guild Wars Wiki
Jump to: navigation, search


Description[edit]

This is a sub-template used in infoboxes. It displays the required campaigns or expansions to access a specific piece of content.

Parameters[edit]

color
background color, defaults to none.
campaign 
campaign, the same parameter passed to Infobox campaign row. Used for auto-detection.
multicategory 
optional, a category for all articles with multi-campaign requirements.
required_all 
required_all: y if all the following account upgrades are required, n otherwise. Defaults to y.
1,2,3 
names of each required account upgrade. Can be Prophecies, Factions, Nightfall, Eye of the North or Bonus Mission Pack

Auto Detection[edit]

If requirement are given, they will be displayed as is. If parameter 1 is empty, the campaign parameter is checked:

  • Prophecies, Factions, Nightfall, Eye of the North, Bonus Mission Pack: no additional requirements are displayed
  • War in Kryta: requires Prophecies and Nightfall
  • Hearts of the North: requires Prophecies and Nightfall
  • Winds of Change: requires Factions

Usage[edit]

For example, for Zinn's Task:

{|
{{Infobox requirements row|campaign=Core|required_all=y|Prophecies|Factions|Nightfall}}
|}

Examples[edit]

Dummy Infobox
Required
campaigns
Prophecies, Factions and Nightfall
Required
campaigns
Prophecies and Eye of the North
Required
campaigns
Prophecies
Required
campaigns
Prophecies and Eye of the North
Required
campaigns
Prophecies and Nightfall